<!DOCTYPE html>

<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <title>Calculadora</title>
    <style>
        p {
            font-family: "Times New Roman", Times, serif;
            font-size:140%;
        }
        input {
            font-family: "Times New Roman", Times, serif;
            font-size:100%;
        }
        body{
            margin:40px;
            max-width: 800px;
            background-color: #D3D3D3;
        }
    </style>
</head>

<body>

    <h1> Informe os valores e selecione a operação</h1>
    <p>Primeiro Valor: <input type="text" id="valor01" name="valor01"> </p>
    <p>Segundo Valor: <input type="text" id="valor02" name="valor02"> </p>
    
    <!-- Essa linha exibe o botão da Soma. 
        Para novas operações duplique a linha e altere o value e id -->
    <br> <input type="button" value="Somar" id="btnSoma" >
    <br> <input type="button" value="Sub" id="btnSub" >

    <!-- Essa linha é subtituida com o resultado da operação -->
    <section id="resultado"> <p>O resultado da operação é ...</p> </section>

    <script>
   
        // -- Para uma nova operação, duplicar as 2 linhas, alterando o nome da variaável, elemento da tela e o método.   
        // -- primeira: associa o elemento da tela (btnSoma)  com a variável (buttonSoma). 
        const buttonSoma = document.getElementById('btnSoma');
        const buttonSub = document.getElementById('btnSub');
        // -- segunda: define o método a ser executado no evento click
        buttonSoma.addEventListener('click', soma );
        buttonSub.addEventListener('click', sub );

        // -- Metodo que faz a soma 
        // -- Para uma nova operação, duplicar essa parte, alterando o nome, a operação e a mensagem 
        function soma() {
            var v1 = Number(document.getElementById('valor01').value);
            var v2 = Number(document.getElementById('valor02').value);
            var total = (v1 + v2)
            let resultado = document.getElementById('resultado')
            resultado.innerHTML = `<p>A soma é: ${total}.</p>`
        }

        function sub() {
            var v1 = Number(document.getElementById('valor01').value);
            var v2 = Number(document.getElementById('valor02').value);
            var total = (v1 - v2)
            let resultado = document.getElementById('resultado')
            resultado.innerHTML = `<p>A subtração é: ${total}.</p>`
        }
    </script>

</body>
</html>